﻿@using Entidades;
@model List<Banco>
@{

}
<div class="panel panel-default">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body d-flex justify-content-between align-items-center">
                    <h1>Sucursales Asociadas a Bancos</h1>
                </div>
            </div>
        </div>
    </div>

    @if (Model.Count() == 0)
    {
        <p> No hay Registros</p>
    }
    else
    {
        @for (int i = 0; i < Model.Count(); i++)
        {
            <div class="row">
                <div class="col-md-12">
                    <div class="">
                        <div class="card-body d-flex justify-content-between align-items-center">
                            <h5>Banco: @Model[i].Nombre - Dirección: @Model[i].Direccion</h5>
                            @if (@Model[i].Sucursalesdisponibles.Count() > 0)
                            {
                                <a type="button" class="btn btn-outline-primary" asp-controller="SucursalBanco" asp-action="FormAsignarSucursalABanco" , asp-route-idBanco="@Model[i].Id">
                                    Asignar Nueva Sucursal
                                    <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-file-earmark-text" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M4 0h5.5v1H4a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1V4.5h1V14a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V2a2 2 0 0 1 2-2z"></path>
                                        <path d="M9.5 3V0L14 4.5h-3A1.5 1.5 0 0 1 9.5 3z"></path>
                                        <path fill-rule="evenodd" d="M5 11.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 0 1h-2a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"></path>
                                    </svg>
                                </a>
                            }
                        </div>
                    </div>
                </div>
            </div>
            if (Model[i].lstSucursal.Count() == 0)
            {
                <div class="row">
                    <div class="col-md-12">
                        <div class="card-body d-flex justify-content-between align-items-center">
                            <span>No tiene Sucursales Asignadas</span>
                        </div>
                    </div>
                </div>
            }
            else
            {
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Nombre</th>
                            <th scope="col">Dirección</th>
                            <th scope="col">Fecha Registro</th>
                            <th scope="col">&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        @for (int j = 0; j < Model[i].lstSucursal.Count(); j++)
                        {
                            <tr>
                                <th scope="row">@(j+1)</th>
                                <td>@Model[i].lstSucursal[j].Nombre  </td>
                                <td>@Model[i].lstSucursal[j].Direccion </td>
                                <td>@Model[i].lstSucursal[j].FechaRegistro.ToString("dd-MM-yyyy")     </td>
                                <td>
                                    <a type="button" class="btn btn-outline-primary" asp-controller="SucursalBanco" asp-action="EliminarSucursalDeBanco" asp-route-idBanco="@Model[i].Id" asp-route-idSucursal="@Model[i].lstSucursal[j].Id">
                                        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-file-earmark-text" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                            <path d="M4 0h5.5v1H4a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1V4.5h1V14a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V2a2 2 0 0 1 2-2z"></path>
                                            <path d="M9.5 3V0L14 4.5h-3A1.5 1.5 0 0 1 9.5 3z"></path>
                                            <path fill-rule="evenodd" d="M5 11.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 0 1h-2a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"></path>
                                        </svg>
                                    </a>
                                </td>
                            </tr>
                        }

                    </tbody>
                </table>
               
            }

        }

    }
</div>


